Subject: Re: get-free-disk-space when default-directory doesn't exist

From: Kevin Ryde <[email-masked]>
Date: Thu, 20 Aug 2009 07:43:32 +1000

Chong Yidong <[email-masked]> writes:
>
> But that applies to DIR, not default-directory.

Oops, I confused myself thinking the given dir could be used there.

> Principle of least surprise.  If we don't have to change the default
> directory, let's not,

Err, well, I think the unhappy surprise may be if an operation about one
directory depends on what's happening in another directory ...